<%@ page import="atividade2.Conta" %>
<!doctype html>
<html>
	<head>
		<meta name="layout" content="main">
		<g:set var="entityName" value="${message(code: 'conta.label', default: 'Conta')}" />
		<title><g:message code="default.create.label" args="[entityName]" /></title>
	</head>
	<body>
		<a href="#create-conta" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
		<div class="nav" role="navigation">
			<ul>
				<li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
				<li><g:link class="list" action="list"><g:message code="default.list.label" args="[entityName]" /></g:link></li>
				<li><g:link class="creditar" action="creditarShow">Creditar</g:link></li>
				<li><g:link class="debitar" action="debitarShow">Debitar</g:link></li>
				<li><g:link class="transferir" action="transferirShow">Transferir</g:link></li>
			</ul>
		</div>
		<div id="create-conta" class="content scaffold-create" role="main">
			<h1>Debitar</h1>
			<g:if test="${flash.message}">
			<div class="message" role="status">${flash.message}</div>
			</g:if>
			<g:if test="${flash.error}">
			<div class="errors" role="status">${flash.error}</div>
			</g:if>
			<g:hasErrors bean="${contaInstance}">
			<ul class="errors" role="alert">
				<g:eachError bean="${contaInstance}" var="error">
				<li <g:if test="${error in org.springframework.validation.FieldError}">data-field-id="${error.field}"</g:if>><g:message error="${error}"/></li>
				</g:eachError>
			</ul>
			</g:hasErrors>
			<g:form action="debitar" >
				<fieldset class="form">

				<div
					class="fieldcontain ${hasErrors(bean: contaInstance, field: 'tipo', 'error')} required">
					<label for="valor"> Valor <span class="required-indicator">*</span>
					</label>
					<g:textField name="valor" required="true" />
				</div>

				<div
					class="fieldcontain ${hasErrors(bean: contaInstance, field: 'tipo', 'error')} required">
					<label for="conta"> <g:message code="conta.label"
							default="Conta" /> <span class="required-indicator">*</span>
					</label>
					<g:select id="conta" name="id"
						from="${atividade2.Conta.list()}" optionKey="id" required=""
						value="${contaInstance?.id}" class="many-to-one" />
				</div>


			</fieldset>
				<fieldset class="buttons">
					<g:submitButton name="debitar" class="debitar" value="${message(code: 'default.button.debitar.label', default: 'Debitar')}" />
				</fieldset>
			</g:form>
		</div>
	</body>
</html>
