package atividade2

class Conta {

	double saldo = 0d
	String numero
	
	Set clientes = new HashSet()
	
	static hasMany = [clientes : Cliente]
	
    static constraints = {
		saldo min : 0d
		numero blank : false, unique : true
		clientes minSize : 1, nullable : false
    }
	
	def creditar(Double valor) {
		this.setSaldo( this.getSaldo() + valor);
	}
	
	def debitar(Double valor) {
		if(this.getSaldo() < valor)
			throw Exception("Conta " + numero + " :: Saldo insuficiente!");
		
		this.setSaldo( this.getSaldo() - valor );
	}
	
	public String toString() {
		this.getNumero()
	}
	
	def Exception(String arg) {
		new Exception(arg)
	}
	
}